"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// *****************************************************************************
// Copyright (C) 2024 EclipseSource GmbH.
//
// This program and the accompanying materials are made available under the
// terms of the Eclipse Public License v. 2.0 which is available at
// http://www.eclipse.org/legal/epl-2.0.
//
// This Source Code may also be made available under the following Secondary
// Licenses when the conditions for such availability set forth in the Eclipse
// Public License v. 2.0 are satisfied: GNU General Public License, version 2
// with the GNU Classpath Exception which is available at
// https://www.gnu.org/software/classpath/license.html.
//
// SPDX-License-Identifier: EPL-2.0 OR GPL-2.0-only WITH Classpath-exception-2.0
// *****************************************************************************
const inversify_1 = require("@theia/core/shared/inversify");
const gencodexai_pannel_render_1 = require("./gencodexai-pannel-render");
const browser_1 = require("@theia/core/lib/browser");
const memory_dock_panel_1 = require("./memory-dock-panel");
const memory_inspector_frontend_contribution_1 = require("./style/memory-inspector-frontend-contribution");
const color_application_contribution_1 = require("@theia/core/lib/browser/color-application-contribution");
const tab_bar_toolbar_1 = require("@theia/core/lib/browser/shell/tab-bar-toolbar");
exports.default = new inversify_1.ContainerModule(bind => {
    (0, browser_1.bindViewContribution)(bind, memory_inspector_frontend_contribution_1.GencodexaiFrontendContribution);
    bind(color_application_contribution_1.ColorContribution).toService(memory_inspector_frontend_contribution_1.GencodexaiFrontendContribution);
    bind(tab_bar_toolbar_1.TabBarToolbarContribution).toService(memory_inspector_frontend_contribution_1.GencodexaiFrontendContribution);
    bind(browser_1.FrontendApplicationContribution).toService(memory_inspector_frontend_contribution_1.GencodexaiFrontendContribution);
    bind(gencodexai_pannel_render_1.gencodexaiPannel).toSelf().inSingletonScope();
    bind(browser_1.WidgetFactory).toDynamicValue(({ container }) => ({
        id: memory_dock_panel_1.MemoryDockPanel.ID,
        createWidget: () => memory_dock_panel_1.MemoryDockPanel.createWidget(container),
    }));
});
//# sourceMappingURL=gencodexai-frontend-module.js.map