"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var gencodexaiPannel_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.gencodexaiPannel = void 0;
// *****************************************************************************
// Copyright (C) 2024 EclipseSource GmbH.
//
// This program and the accompanying materials are made available under the
// terms of the Eclipse Public License v. 2.0 which is available at
// http://www.eclipse.org/legal/epl-2.0.
//
// This Source Code may also be made available under the following Secondary
// Licenses when the conditions for such availability set forth in the Eclipse
// Public License v. 2.0 are satisfied: GNU General Public License, version 2
// with the GNU Classpath Exception which is available at
// https://www.gnu.org/software/classpath/license.html.
//
// SPDX-License-Identifier: EPL-2.0 OR GPL-2.0-only WITH Classpath-exception-2.0
// *****************************************************************************
const inversify_1 = require("@theia/core/shared/inversify");
// import {TreeWidget} from '@theia/core/lib/browser';
const browser_1 = require("@theia/core/lib/browser");
const nls_1 = require("@theia/core/lib/common/nls");
const memory_dock_panel_1 = require("./memory-dock-panel");
let gencodexaiPannel = gencodexaiPannel_1 = class gencodexaiPannel extends browser_1.Panel {
    constructor() {
        super();
    }
    init() {
        this.doInit();
    }
    async doInit() {
        this.id = gencodexaiPannel_1.ID;
        this.addClass(gencodexaiPannel_1.ID);
        this.title.label = gencodexaiPannel_1.LABEL;
        this.title.caption = gencodexaiPannel_1.LABEL;
        this.title.closable = true;
        this.title.iconClass = 'memory-view-icon';
        this.dockPanel = await this.widgetManager.getOrCreateWidget(memory_dock_panel_1.MemoryDockPanel.ID);
        this.addWidget(this.dockPanel);
    }
};
gencodexaiPannel.ID = 'memory-layout-widget';
gencodexaiPannel.LABEL = nls_1.nls.localize('theia/memory-inspector/memoryInspector', 'Memory Inspector');
__decorate([
    (0, inversify_1.inject)(browser_1.WidgetManager),
    __metadata("design:type", browser_1.WidgetManager)
], gencodexaiPannel.prototype, "widgetManager", void 0);
__decorate([
    (0, inversify_1.postConstruct)(),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", void 0)
], gencodexaiPannel.prototype, "init", null);
gencodexaiPannel = gencodexaiPannel_1 = __decorate([
    (0, inversify_1.injectable)(),
    __metadata("design:paramtypes", [])
], gencodexaiPannel);
exports.gencodexaiPannel = gencodexaiPannel;
//# sourceMappingURL=gencodexai-pannel-render.js.map