// *****************************************************************************
// Copyright (C) 2024 EclipseSource GmbH.
//
// This program and the accompanying materials are made available under the
// terms of the Eclipse Public License v. 2.0 which is available at
// http://www.eclipse.org/legal/epl-2.0.
//
// This Source Code may also be made available under the following Secondary
// Licenses when the conditions for such availability set forth in the Eclipse
// Public License v. 2.0 are satisfied: GNU General Public License, version 2
// with the GNU Classpath Exception which is available at
// https://www.gnu.org/software/classpath/license.html.
//
// SPDX-License-Identifier: EPL-2.0 OR GPL-2.0-only WITH Classpath-exception-2.0
// *****************************************************************************
import {inject, injectable, postConstruct} from '@theia/core/shared/inversify';
// import {TreeWidget} from '@theia/core/lib/browser';
import { Panel, WidgetManager} from '@theia/core/lib/browser';
import { nls } from '@theia/core/lib/common/nls';
import { MemoryDockPanel } from './memory-dock-panel';
@injectable()
export class gencodexaiPannel extends Panel  {

    @inject(WidgetManager) protected readonly widgetManager: WidgetManager;
    static readonly ID = 'memory-layout-widget';
    static readonly LABEL = nls.localize('theia/memory-inspector/memoryInspector', 'Memory Inspector');
    protected dockPanel: MemoryDockPanel;

    override id: string;

    constructor() {
        super();
    }

    @postConstruct()
    protected init(): void {
        this.doInit();
    }

    protected async doInit(): Promise<void> {
        this.id = gencodexaiPannel.ID;
        this.addClass(gencodexaiPannel.ID);
        this.title.label = gencodexaiPannel.LABEL;
        this.title.caption = gencodexaiPannel.LABEL;
        this.title.closable = true;
        this.title.iconClass = 'memory-view-icon';
        this.dockPanel = await this.widgetManager.getOrCreateWidget<MemoryDockPanel>(MemoryDockPanel.ID);
        this.addWidget(this.dockPanel);
    }

}
